﻿@model HOD.Models.LoginModel

@{
    ViewBag.Title = "Log in";
}

@{
    Layout = "~/Views/Shared/_DefaultLayout.cshtml";
}


<style type="text/css">

  .panel-body{
    padding-top: 20px;
    }

    .title{
    margin-left:16px;
    }

</style>

@section featured {
    &nbsp;
}

<script>
    var $body = $('body');
    $body.css('backgroundImage', 'url(http://casavue-image-bucket.s3-website-us-east-1.amazonaws.com/bgTopNew.jpg)');
    $(document).ready(function () {
//.height(525).width(1660);
        $('#agentLogo').attr('src', 'http://casavue-image-bucket.s3-website-us-east-1.amazonaws.com/AP_logo.png');
        });
    </script>
<div class="panel panel-default" style="padding: 4px;">

    <div class="panel-body" style="background-color: #ffffff">



        @using (Html.BeginForm(null, null, FormMethod.Post, new Dictionary<string, object> { { "id", "login-form" }, { "enctype", "multipart/form-data" }, { "class", "form-horizontal" } }))
        {
            @Html.AntiForgeryToken()

            @Html.ValidationSummary(true)

            <div class="form-group">
                <fieldset>
                    <div class="panel panel-default">
                        <div class="panel-heading" align="left">Login to manage your listing</div>
                        <div class="panel-body">

                        @{
                            if (WebSecurity.Initialized){
                                if (WebSecurity.IsAuthenticated){
                                    @:<h3>You are currently logged in as <b>@WebSecurity.CurrentUserName</b>. Please logout in order to login with the desired account.</h3><BR/>
                                    @Html.ActionLink("Logout","Logout","Account", null, new {@class = "btn btn-primary"}) 

                                    return;
                                }                
                            }                        
                        }
                            <div class="form-group">
                                @Html.LabelFor(m => m.UserName, "Email Address", new { @class = "col-sm-3 control-label", @placeholder = "User Name" })
                                <div class="col-sm-4">
                                    @Html.TextBoxFor(m => m.UserName, new { @class = "form-control", @placeholder = "User Name", @autofocus = "true" })
                                </div>
                                <div class="col-sm-4">
                                    @Html.ValidationMessageFor(m => m.UserName)
                                </div>
                            </div>
                            <div class="form-group">
                                @Html.LabelFor(m => m.Password, "Password ", new { @class = "col-sm-3 control-label" })
                                <div class="col-sm-4">
                                    @Html.PasswordFor(m => m.Password, new { @class = "form-control", @placeholder = "Password" })
                                </div>
                                <div class="col-sm-4">
                                    @Html.ValidationMessageFor(m => m.Password)
                                </div>
                            </div>
                            <div class="form-group">
                                <div class="col-sm-4"></div>
                                <div class="col-sm-4">
                                    @*Html.CheckBoxFor(m => m.RememberMe)
                                    @Html.LabelFor(m => m.RememberMe, "Remember me?", new { @class = "control-label" })*@
                                    <input type="submit" value="Log in"  class="btn btn-primary btn-lg" />
                                </div>
                            </div>
                        </div>
                </fieldset>
                <!--p>
                    @*Html.ActionLink("Register", "Register") if you don't have an account.*@
                </!p-->
            </div>
            
            <!--div class="form-group">
                <div class="panel panel-default">
                    <div class="panel-heading" align="left">Use another service to log in.</div>
                    <div class="panel-body">
                        @*Html.Action("ExternalLoginsList", new { ReturnUrl = ViewBag.ReturnUrl })*@
                    </div>
                </div>
            </!--div-->
        }


    </div>
</div>
<!--/div>
</div-->



@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
}
